Bug 221316 - math/dynare: Add missing dependencies
Summary: math/dynare: Add missing dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch-ready
Depends on:
Blocks: 221342
  Show dependency treegraph
 
Reported: 2017-08-07 16:57 UTC by fernando.apesteguia
Modified: 2017-08-12 18:14 UTC (History)
2 users (show)

See Also:
pi: merge-quarterly+


Attachments
patch to the ports tree (7.27 KB, patch)
2017-08-07 16:57 UTC, fernando.apesteguia
fernando.apesteguia: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fernando.apesteguia 2017-08-07 16:57:49 UTC
Created attachment 185132 [details]
patch to the ports tree

The attached patch fixes several issues with the current math/dynare port:

 - Regenerated patches with "make makepatch" to avoid portlint warnings
 - Added LICENSE
 - Added missing library dependencies

This is a PR splitted from https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=221187 as suggested by koobs@

Q/A:
 - portlint -AC: OK
 - poudriere builds for {10.3,11.0,11.1}{amd64,i386}: OK
Comment 1 Kubilay Kocak freebsd_committer 2017-08-08 02:18:35 UTC
Nice clear report Fernando thank you.

Don't forget to add the second issue (version update) to this issues 'Blocks' field, so that this one gets committed first.

Also, you may be able to use LIBS= in the port Makefile instead of patching configure
Comment 2 fernando.apesteguia 2017-08-08 10:12:47 UTC
(In reply to Kubilay Kocak from comment #1)
Will do. I was waiting to see if this gets committer as is to make the new patch on top of this one.

I'll have a look at the configure patch and the use if LIBS.

Thanks!
Comment 3 fernando.apesteguia 2017-08-10 15:03:06 UTC
Done.

Can we move forward with this?
Comment 4 Kurt Jaeger freebsd_committer 2017-08-12 10:32:30 UTC
testbuilds@work
Comment 5 Thomas Zander freebsd_committer 2017-08-12 15:28:13 UTC
(In reply to Kurt Jaeger from comment #4)

Are you going to look at bug 221342 afterwards? If not, I can take a look as well.
Comment 6 Kurt Jaeger freebsd_committer 2017-08-12 15:43:30 UTC
yes, I'll look at 221342 when the testbuilds are fine and this change is committed.
Comment 7 commit-hook freebsd_committer 2017-08-12 17:22:43 UTC
A commit references this bug:

Author: pi
Date: Sat Aug 12 17:21:43 UTC 2017
New revision: 447843
URL: https://svnweb.freebsd.org/changeset/ports/447843

Log:
  math/dynare: Add missing dependencies

  - Regenerated patches with "make makepatch" to avoid portlint warnings
  - Added LICENSE
  - Added missing library dependencies

  PR:		221316
  Submitted by:	Fernando Apesteguia <fernando.apesteguia@gmail.com> (maintainer)

Changes:
  head/math/dynare/Makefile
  head/math/dynare/files/patch-Makefile.in
  head/math/dynare/files/patch-configure
  head/math/dynare/files/patch-journal.cweb
  head/math/dynare/files/patch-parser-exception.h
Comment 8 commit-hook freebsd_committer 2017-08-12 17:23:46 UTC
A commit references this bug:

Author: pi
Date: Sat Aug 12 17:22:56 UTC 2017
New revision: 447844
URL: https://svnweb.freebsd.org/changeset/ports/447844

Log:
  math/dynare: added patches I missed in last commit

  PR:		221316
  Submitted by:	Fernando Apesteguia <fernando.apesteguia@gmail.com> (maintainer)

Changes:
  head/math/dynare/Makefile
  head/math/dynare/files/patch-dynare++_kord_journal.cweb
  head/math/dynare/files/patch-dynare++_parser_cc_parser__exception.h
  head/math/dynare/files/patch-mex_build_octave_configure
Comment 9 commit-hook freebsd_committer 2017-08-12 18:13:32 UTC
A commit references this bug:

Author: pi
Date: Sat Aug 12 18:12:39 UTC 2017
New revision: 447846
URL: https://svnweb.freebsd.org/changeset/ports/447846

Log:
  MFH: r447843 r447844

  math/dynare: Add missing dependencies

  - Regenerated patches with "make makepatch" to avoid portlint warnings
  - Added LICENSE
  - Added missing library dependencies

  PR:		221316
  Submitted by:	Fernando Apesteguia <fernando.apesteguia@gmail.com> (maintainer)
  Approved by:	portmgr (fix dependencies blanket)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/math/dynare/Makefile
  branches/2017Q3/math/dynare/files/patch-Makefile.in
  branches/2017Q3/math/dynare/files/patch-configure
  branches/2017Q3/math/dynare/files/patch-dynare++_kord_journal.cweb
  branches/2017Q3/math/dynare/files/patch-dynare++_parser_cc_parser__exception.h
  branches/2017Q3/math/dynare/files/patch-journal.cweb
  branches/2017Q3/math/dynare/files/patch-mex_build_octave_configure
  branches/2017Q3/math/dynare/files/patch-parser-exception.h
Comment 10 Kurt Jaeger freebsd_committer 2017-08-12 18:14:38 UTC
Committed, thanks!